#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {
		
	},
	turrets = {

	},
	guns = {
		["2A42btrs"]  = {
			name 	= "2A42 30mm AutoCannon",
			weaponType 				= "cannon",
			caliber 				= 30,
			default = "30mm AP-T",
			magazines 					= {
				[1] = {
					name = "125mm HEAT",
					caliber 				= 125,
					velocity				= 240,
					explosionSize			= 1.6,
					maxPenDepth 			= 2.9,
					timeToLive 				= 7,
					gravityCoef 			= 0.9,--0.3,
					launcher				= "cannon",
					payload					= "HEAT",
					shellWidth				= 0.5,
					shellHeight				= 1.5,
					r						= 0.3,
					g						= 9.6, 
					b						= 0.3, 
					shellSpriteName			= "MOD/gfx/shellModel2.png",
					shellSpriteRearName		= "MOD/gfx/shellRear2.png",
					magazineCapacity = 1,
					ammoCount = 0,
					magazineCount = 500,

				},
			[2] = {
					name = "125mm APFSDS",
					caliber 				= 125,
					velocity				= 270,
					explosionSize			= 0.5,
					maxPenDepth 			= 4.9,
					timeToLive 				= 7,
					gravityCoef 			= 0.9,
					launcher				= "cannon",
					payload					= "kinetic",
					shellWidth				= 0.5,
					shellHeight				= 1.5,
					r						= 13.8,
					g						= 9.3, 
					b						= 2.3, 
					shellSpriteName			= "MOD/gfx/sabot.png",
					shellSpriteRearName		= "MOD/gfx/sabotRear.png",
					magazineCapacity = 1,
					ammoCount = 0,
					magazineCount = 500,
				},
			[3] = {
					name = "125mm HE",
					caliber 				= 125,
					velocity				= 200,
					explosionSize			= 1.9,
					maxPenDepth 			= 0.3,
					timeToLive 				= 7,
					gravityCoef 			= 1,
					launcher				= "cannon",
					payload					= "HE",
					shellWidth				= 0.5,
					shellHeight				= 1.5,
					r						= 9.7,
					g						= 1.7, 
					b						= 1.7,
					shellSpriteName			= "MOD/gfx/shellModel2.png",
					shellSpriteRearName		= "MOD/gfx/shellRear2.png",
					magazineCapacity = 1,
					ammoCount = 0,
					magazineCount = 500,
				}, 
				},
			loadedMagazine 			= 1,
			barrels 				= 
										{
											[1] = {x=0.4,y=0.25,z=-6.9}
										},
			sight					= {
										[1] = {
										x=2.9,
										y=1.9,
										z=0.5,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.02
											},
									},
									canZoom                    = true,
									zoomSight                 = "MOD/gfx/1G46Sight.png",
									highVelocityShells        = true,
									cannonBlast             = 15,
									RPM                     = 25,
									reload                     = 15,
									recoil                     = 2,
									dispersion                 = 10,
									gunRange                = 500,
									gunBias                 = -1,
									elevationSpeed            = .5,
									smokeFactor             = 9,
									smokeMulti                = 4,
									soundFile   = "MOD/sounds/tankshot0",
									reloadSound                = "MOD/sounds/AltTankReload",
		},

	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}

