#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {
		
	},
	turrets = {

	},
	guns = {
		["2A42btrs"]  = {
			name 	= "2A42 30mm AutoCannon",
			weaponType 				= "cannon",
			caliber 				= 30,
			default = "30mm AP-T",
			magazines 					= {
				[1] = {
						name = "30mm AP-T",
						caliber 				= 30,
						velocity				= 360,
						explosionSize			= 0.9,
						maxPenDepth 			= 1.2,
						timeToLive 				= 7,
						gravityCoef 			= 0.9,
						launcher				= "cannon",
						payload					= "AP",
						shellWidth				= 0.3,
						shellHeight				= 1.5,
						r						= 1.7,
						g						= 8.7, 
						b						= 1.7, 
						shellSpriteName			= "MOD/gfx/sabot.png",
						shellSpriteRearName		= "MOD/gfx/sabotRear.png",
						magazineCapacity = 500,
						ammoCount = 0,
						magazineCount = 2,
					},
				[2] = {
						name = "30mm HE",
						caliber 				= 30,
						velocity				= 360,
						explosionSize			= 0.9,
						maxPenDepth 			= 0.3,
						timeToLive 				= 7,
						gravityCoef 			= 1,
						launcher				= "cannon",
						payload					= "HE",
						shellWidth				= 0.3,
						shellHeight				= 1.5,
						r						= 8.8,
						g						= 0.3, 
						b						= 0.3, 
						shellSpriteName			= "MOD/gfx/shellModel2.png",
						shellSpriteRearName		= "MOD/gfx/shellRear2.png",
						magazineCapacity = 500,
						ammoCount = 0,
						magazineCount = 1,
					}, 
				},
			loadedMagazine 			= 1,
			barrels 				= 
										{
											[1] = {x=1.15,y=0.23,z=-0.5}
										},
			sight					= {
										[1] = {
										x=1.5,
										y=2.5,
										z=0.6,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.03,
											y = -0.025
											},
									},
									canZoom                    = true,
									zoomSight                 = "MOD/gfx/BPK-2-42.png",
									highVelocityShells        = true,
									cannonBlast             = 3,
									RPM                     = 265,
									reload                     = 15,
									recoil                     = 1.3,
									dispersion                 = 0,
									gunRange                = 500,
									gunBias                 = -1,
									elevationSpeed            = .5,
									smokeFactor             = 0.4,
									smokeMulti                = 0.9,
									soundFile   = "MOD/sounds/BMPsingle",
									mouseDownSoundFile         =    "MOD/sounds/bmpAutoFire",
									loopSoundFile             =    "MOD/sounds/autoFirealt_2",
									tailOffSound             =    "MOD/sounds/altFirealt_TailOff_2",
									reloadSound                = "MOD/sounds/AltTankReload",
		},

	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}

